Bug 531957 - tcsh obeys printexitvalue for back-ticks
Summary: tcsh obeys printexitvalue for back-ticks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcsh
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-30 00:34 UTC by Jeff Bastian
Modified: 2010-02-02 01:17 UTC (History)
1 user (show)

Fixed In Version: 6.15-9.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of: 531353
: 546644 (view as bug list)
Environment:
Last Closed: 2010-02-02 01:17:14 UTC


Attachments (Terms of Use)
patch to fix backquoted output (3.32 KB, patch)
2009-10-30 00:34 UTC, Jeff Bastian
no flags Details | Diff

Description Jeff Bastian 2009-10-30 00:34:14 UTC
Created attachment 366736 [details]
patch to fix backquoted output

+++ This bug was initially created as a clone of Bug #531353 +++

Description of problem:
If printexitvalue is set, tcsh returns the exit code as part of the command output, rendering the output unusable.

Version-Release number of selected component (if applicable):
tcsh-6.15-8.fc11

How reproducible:
every time

Steps to Reproduce:
1. set printexitvalue
2. set i = `grep "nonono" /etc/csh.cshrc | wc -l`
3. echo $i
  
Actual results:
0 Exit 1

Expected results:
0

Additional info:
This bug was reported a while ago:
  http://mx.gw.com/pipermail/tcsh-bugs/2006-June/000444.html

However, it's still a bug with the latest upstream release, version 6.17.00 from July 2009.
  ftp://ftp.astron.com/pub/tcsh/tcsh-6.17.00.tar.gz

Comment 1 Jeff Bastian 2009-10-30 14:02:04 UTC
I sent the patch upstream at
  http://mx.gw.com/pipermail/tcsh-bugs/2009-October/000648.html

Comment 2 Jeff Bastian 2009-12-11 15:17:45 UTC
This has been accepted upstream.
  http://mx.gw.com/pipermail/tcsh-bugs/2009-October/000649.html

Comment 3 Fedora Update System 2010-01-21 16:45:30 UTC
tcsh-6.15-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tcsh-6.15-9.fc11

Comment 4 Fedora Update System 2010-01-22 22:41:28 UTC
tcsh-6.15-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tcsh'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0954

Comment 5 Fedora Update System 2010-02-02 01:17:09 UTC
tcsh-6.15-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.